init python:

        class musclub_FunctionCallback(Action):
            def __init__(self,function,*arguments):
                self.function=function
                self.arguments=arguments
            def __call__(self):
                return self.function(self.arguments)

        def musclub_on_load_callback(slot):
            try:
                if persistent.musclub_on_save_timeofday[slot]:
                    persistent.timeofday = persistent.musclub_on_save_timeofday[slot][0]
                    persistent.sprite_time = persistent.musclub_on_save_timeofday[slot][1]
                    persistent.font_size = persistent.musclub_on_save_timeofday[slot][2]
                    persistent.hentai = persistent.musclub_on_save_timeofday[slot][3]
                    _preferences.volumes['music'] = persistent.musclub_on_save_timeofday[slot][4]
                    _preferences.volumes['sfx'] = persistent.musclub_on_save_timeofday[slot][5]
                    _preferences.volumes['voice'] = persistent.musclub_on_save_timeofday[slot][6]

            except:
                pass

        def musclub_on_save_callback(slot):
            if not persistent.musclub_on_save_timeofday:
                persistent.musclub_on_save_timeofday={}
            persistent.musclub_on_save_timeofday[slot] = (persistent.timeofday, persistent.sprite_time, persistent.font_size, persistent.hentai, _preferences.volumes['music'], _preferences.volumes['sfx'], _preferences.volumes['voice'])

        def musclub_screens_save_activate():
            musclub_screens_save()
            musclub_screens_activate()

        def musclub_screens_save():
            renpy.display.screen.screens[("musclub_old_main_menu", None)] = renpy.display.screen.screens[("main_menu", None)]
            renpy.display.screen.screens[("musclub_old_quit", None)] = renpy.display.screen.screens[("quit", None)]
            renpy.display.screen.screens[("musclub_old_game_menu_selector", None)] = renpy.display.screen.screens[("game_menu_selector", None)]

        def musclub_screens_activate():
            config.window_title = u"Бесконечное Лето: Музыкальный Клуб"
            config.name = "musclub"
            config.version = "1.0"
            renpy.display.screen.screens[("game_menu_selector", None)] = renpy.display.screen.screens[("musclub_game_menu_selector", None)]

            persistent._file_page = "musclub_FilePage_1"
            layout.LOADING = "Вы уверены, что хотите загрузить данное сохранение?"

        def musclub_screens_default():
            persistent._file_page = 1
            layout.LOADING = "Загрузка приведёт к потере несохранённых данных.\nВы уверены, что хотите сделать это?"
            config.window_title = u"Бесконечное лето"
            config.name = "Everlasting_Summer"
            config.version = "1.2"
            config.main_menu_music = "sound/music/blow_with_the_fires.ogg"
            renpy.display.screen.screens[("main_menu", None)] = renpy.display.screen.screens[("musclub_old_main_menu", None)]
            renpy.display.screen.screens[("quit", None)] = renpy.display.screen.screens[("musclub_old_quit", None)]
            renpy.display.screen.screens[("game_menu_selector", None)] = renpy.display.screen.screens[("musclub_old_game_menu_selector", None)]
            renpy.music.stop("ambience")
            renpy.music.stop("music")
            renpy.music.stop("sound")
            renpy.play(music_list["blow_with_the_fires"], channel = "music")

init -100 python:

    style.musclub_text_quit                                   = Style(style.default)
    style.musclub_text_quit.size                              = 33    #modded: style.musclub_text_quit.size                              = 50
    style.musclub_text_quit.color                             = "#ffffff"
    style.musclub_text_quit.hover_color                       = "#e2c778"
    style.musclub_text_quit.selected_color                    = "#ffffff"
    style.musclub_text_quit.selected_idle_color               = "#ffffff"
    style.musclub_text_quit.selected_hover_color              = "#ffffff"
    style.musclub_text_quit.insensitive_color                 = "#ffffff"

    style.musclub_button_quit                                 = Style(style.button)
    style.musclub_button_quit.background                      = None
    style.musclub_button_quit.hover_background                = None
    style.musclub_button_quit.selected_background             = None
    style.musclub_button_quit.selected_hover_background       = None
    style.musclub_button_quit.selected_idle_background        = None

screen musclub_game_menu_selector:
    tag menu
    modal True
    add musclub_gui + "game_menu_selector/musclub_menu_background.png"
    button:
        style "blank_button"
        xpos 0
        ypos 0
        xfill True
        yfill True
        action Return()

    #Дневник
    imagebutton:
        auto (musclub_gui + "game_menu_selector/musclub_diary_%s.png")
        xpos 14    #modded: xpos 21
        ypos 14    #modded: ypos 21
        action ShowMenu("musclub_diary")

    #Сохранение и загрузка
    imagebutton:
        auto (musclub_gui + "game_menu_selector/musclub_save_%s.png")
        xpos 1031    #modded: xpos 1546
        ypos 14    #modded: ypos 21
        action ShowMenu("save")
    imagebutton:
        auto (musclub_gui + "game_menu_selector/musclub_load_%s.png")
        xpos 1097    #modded: xpos 1645
        ypos 14    #modded: ypos 21
        action ShowMenu("load")

    #Настройки
    imagebutton:
        auto (musclub_gui + "game_menu_selector/musclub_setting_%s.png")
        xpos 1155    #modded: xpos 1733
        ypos 14    #modded: ypos 21
        action ShowMenu("preferences")

    #Выход
    imagebutton:
        auto (musclub_gui + "game_menu_selector/musclub_quit_%s.png")
        xpos 1221    #modded: xpos 1831
        ypos 14    #modded: ypos 21
        action ShowMenu("musclub_menu_quit")

screen musclub_menu_quit:
    tag menu
    modal True
    add (musclub_gui + "quit/quit_background.png")
    imagebutton:
        auto (musclub_gui + "quit/musclub_exit_%s.png")
        xpos 731    #modded: xpos 1096
        ypos 35    #modded: ypos 53

        action Start("musclub_label_quit_game")

    imagebutton:
        auto (musclub_gui + "quit/musclub_main_menu_%s.png")
        xpos 109    #modded: xpos 163
        ypos 47    #modded: ypos 70
        action [(Function(musclub_screens_default)), ShowMenu("main_menu")]

    imagebutton:
        auto (musclub_gui + "quit/musclub_back_%s.png")
        xpos 583    #modded: xpos 874
        ypos 166    #modded: ypos 249
        action [Hide("musclub_menu_quit", Dissolve(1.0)), ShowMenu("musclub_game_menu_selector")]

label MusicClub:
    python:
        musclub_screens_save_activate()
        prolog_time()

jump menu_musclub

label musclub_label_return:
    python:
        musclub_screens_default()

jump musclub_label_return_l

label musclub_label_return_l:
    return

label musclub_label_quit_game:
    $ renpy.quit()
# Android version created with ESTool v1.000
# More info here: https://vk.com/topic-93304648_35130916
